REM Script mataprocesos basico.
REM Este script intenta terminar todos los procesos en ejecucion, excepto aquellos que se encuentren listados en el fichero "ProcesosAmigos.txt"
REM Se recomienda incluir en la lista de procesos amigos, cmd.exe y tasklist.exe, ademas de los necesarios para el funcionamiento del sistema operativo
REM Realizado por Sheldon y Leonard (www.atomosybits.com) - 2011
@echo off
cls
COLOR 1f
TITLE MataProcesos 1.0
echo        ===================================================
echo        =                                                 =
echo        =          Bienvenido al MataProcesos 1.0         =
echo        =                                                 =
echo        =           Realizado por Atomos y Bits           =
echo        =               www.atomosybits.com               =
echo        =                                                 =
echo        ===================================================
echo.
SetLocal EnableDelayedExpansion
set c=0
set matados=0
set ignorados=0
set denegados=0
set noencontrados=0
set desconocidos=0
for /f "tokens=*" %%a in (ProcesosAmigos.txt) do (
	set /a c+=1
	call set lin!c!=%%a
)
echo Vamos a ignorar !c! procesos, definidos en ProcesosAmigos.txt
pause



echo.
echo Matando procesos inutiles para mejorar el rendimiento...
echo.

for /F "tokens=1" %%i In ('Tasklist /NH') do (
	find /i "%%i" ProcesosAmigos.txt > NUL
	if !ERRORLEVEL! == 0 (
		echo Ignorando al proceso %%i
		set /a ignorados+=1
	) ELSE (
		echo Matando al proceso %%i
		taskkill /f /im %%i
		if !ERRORLEVEL!==0 (
			set /a matados+=1						
		) ELSE if !ERRORLEVEL!==1 (
			set /a denegados+=1
		) ELSE IF !ERRORLEVEL!==128 (
			set /a noencontrados+=1
		) ELSE (
			set /a desconocidos+=1
		)
		
	)	

)
echo.
echo Presiona cualquier tecla para ir al resumen de acciones realizadas
pause>nul
cls
COLOR 1E
ECHO RESUMEN:
echo.
echo !ignorados! procesos activos han sido ignorados.
echo !matados! procesos activos han sido terminados.
echo !denegados! procesos activos no se han podido matar (acceso denegado, quiza procesos del sistema...).
echo !noencontrados! procesos estaban repetidos y han sido matados una sola vez.
echo !desconocidos! errores producidos por causas desconocidas.
echo.
echo GRACIAS POR USAR EL MATAPROCESOS 1.0, QUE TENGA UN BUEN DIA :)
pause>nul

EndLocal
